IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
2002:320::/28- First address
2002:320::- Last address
2002:32f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
2002:0320:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
2.3.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:320::/28 makes 256 subnets of /36.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:320::/36 | 2002:320:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:320:1000::/36 | 2002:320:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:320:2000::/36 | 2002:320:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:320:3000::/36 | 2002:320:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:320:4000::/36 | 2002:320:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:320:5000::/36 | 2002:320:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:320:6000::/36 | 2002:320:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:320:7000::/36 | 2002:320:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:320:8000::/36 | 2002:320:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:320:9000::/36 | 2002:320:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:320:a000::/36 | 2002:320:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:320:b000::/36 | 2002:320:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:320:c000::/36 | 2002:320:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:320:d000::/36 | 2002:320:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:320:e000::/36 | 2002:320:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:320:f000::/36 | 2002:320:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:321::/36 | 2002:321:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:321:1000::/36 | 2002:321:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:321:2000::/36 | 2002:321:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:321:3000::/36 | 2002:321:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:321:4000::/36 | 2002:321:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:321:5000::/36 | 2002:321:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:321:6000::/36 | 2002:321:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:321:7000::/36 | 2002:321:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:321:8000::/36 | 2002:321:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:321:9000::/36 | 2002:321:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:321:a000::/36 | 2002:321:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:321:b000::/36 | 2002:321:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:321:c000::/36 | 2002:321:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:321:d000::/36 | 2002:321:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:321:e000::/36 | 2002:321:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:321:f000::/36 | 2002:321:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:322::/36 | 2002:322:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:322:1000::/36 | 2002:322:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:322:2000::/36 | 2002:322:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:322:3000::/36 | 2002:322:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:322:4000::/36 | 2002:322:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:322:5000::/36 | 2002:322:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:322:6000::/36 | 2002:322:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:322:7000::/36 | 2002:322:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:322:8000::/36 | 2002:322:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:322:9000::/36 | 2002:322:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:322:a000::/36 | 2002:322:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:322:b000::/36 | 2002:322:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:322:c000::/36 | 2002:322:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:322:d000::/36 | 2002:322:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:322:e000::/36 | 2002:322:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:322:f000::/36 | 2002:322:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:323::/36 | 2002:323:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:323:1000::/36 | 2002:323:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:323:2000::/36 | 2002:323:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:323:3000::/36 | 2002:323:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:323:4000::/36 | 2002:323:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:323:5000::/36 | 2002:323:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:323:6000::/36 | 2002:323:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:323:7000::/36 | 2002:323:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:323:8000::/36 | 2002:323:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:323:9000::/36 | 2002:323:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:323:a000::/36 | 2002:323:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:323:b000::/36 | 2002:323:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:323:c000::/36 | 2002:323:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:323:d000::/36 | 2002:323:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:323:e000::/36 | 2002:323:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:323:f000::/36 | 2002:323:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:324::/36 | 2002:324:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:324:1000::/36 | 2002:324:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:324:2000::/36 | 2002:324:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:324:3000::/36 | 2002:324:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:324:4000::/36 | 2002:324:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:324:5000::/36 | 2002:324:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:324:6000::/36 | 2002:324:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:324:7000::/36 | 2002:324:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:324:8000::/36 | 2002:324:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:324:9000::/36 | 2002:324:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:324:a000::/36 | 2002:324:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:324:b000::/36 | 2002:324:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:324:c000::/36 | 2002:324:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:324:d000::/36 | 2002:324:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:324:e000::/36 | 2002:324:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:324:f000::/36 | 2002:324:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:325::/36 | 2002:325:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:325:1000::/36 | 2002:325:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:325:2000::/36 | 2002:325:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:325:3000::/36 | 2002:325:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:325:4000::/36 | 2002:325:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:325:5000::/36 | 2002:325:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:325:6000::/36 | 2002:325:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:325:7000::/36 | 2002:325:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:325:8000::/36 | 2002:325:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:325:9000::/36 | 2002:325:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:325:a000::/36 | 2002:325:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:325:b000::/36 | 2002:325:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:325:c000::/36 | 2002:325:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:325:d000::/36 | 2002:325:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:325:e000::/36 | 2002:325:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:325:f000::/36 | 2002:325:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:326::/36 | 2002:326:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:326:1000::/36 | 2002:326:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:326:2000::/36 | 2002:326:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:326:3000::/36 | 2002:326:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:326:4000::/36 | 2002:326:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:326:5000::/36 | 2002:326:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:326:6000::/36 | 2002:326:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:326:7000::/36 | 2002:326:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:326:8000::/36 | 2002:326:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:326:9000::/36 | 2002:326:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:326:a000::/36 | 2002:326:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:326:b000::/36 | 2002:326:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:326:c000::/36 | 2002:326:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:326:d000::/36 | 2002:326:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:326:e000::/36 | 2002:326:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:326:f000::/36 | 2002:326:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:327::/36 | 2002:327:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:327:1000::/36 | 2002:327:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:327:2000::/36 | 2002:327:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:327:3000::/36 | 2002:327:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:327:4000::/36 | 2002:327:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:327:5000::/36 | 2002:327:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:327:6000::/36 | 2002:327:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:327:7000::/36 | 2002:327:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:327:8000::/36 | 2002:327:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:327:9000::/36 | 2002:327:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:327:a000::/36 | 2002:327:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:327:b000::/36 | 2002:327:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:327:c000::/36 | 2002:327:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:327:d000::/36 | 2002:327:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:327:e000::/36 | 2002:327:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:327:f000::/36 | 2002:327:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:328::/36 | 2002:328:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:328:1000::/36 | 2002:328:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:328:2000::/36 | 2002:328:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:328:3000::/36 | 2002:328:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:328:4000::/36 | 2002:328:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:328:5000::/36 | 2002:328:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:328:6000::/36 | 2002:328:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:328:7000::/36 | 2002:328:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:328:8000::/36 | 2002:328:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:328:9000::/36 | 2002:328:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:328:a000::/36 | 2002:328:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:328:b000::/36 | 2002:328:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:328:c000::/36 | 2002:328:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:328:d000::/36 | 2002:328:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:328:e000::/36 | 2002:328:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:328:f000::/36 | 2002:328:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:329::/36 | 2002:329:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:329:1000::/36 | 2002:329:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:329:2000::/36 | 2002:329:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:329:3000::/36 | 2002:329:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:329:4000::/36 | 2002:329:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:329:5000::/36 | 2002:329:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:329:6000::/36 | 2002:329:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:329:7000::/36 | 2002:329:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:329:8000::/36 | 2002:329:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:329:9000::/36 | 2002:329:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:329:a000::/36 | 2002:329:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:329:b000::/36 | 2002:329:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:329:c000::/36 | 2002:329:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:329:d000::/36 | 2002:329:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:329:e000::/36 | 2002:329:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:329:f000::/36 | 2002:329:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:32a::/36 | 2002:32a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:32a:1000::/36 | 2002:32a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:32a:2000::/36 | 2002:32a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:32a:3000::/36 | 2002:32a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:32a:4000::/36 | 2002:32a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:32a:5000::/36 | 2002:32a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:32a:6000::/36 | 2002:32a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:32a:7000::/36 | 2002:32a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:32a:8000::/36 | 2002:32a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:32a:9000::/36 | 2002:32a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:32a:a000::/36 | 2002:32a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:32a:b000::/36 | 2002:32a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:32a:c000::/36 | 2002:32a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:32a:d000::/36 | 2002:32a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:32a:e000::/36 | 2002:32a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:32a:f000::/36 | 2002:32a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:32b::/36 | 2002:32b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:32b:1000::/36 | 2002:32b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:32b:2000::/36 | 2002:32b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:32b:3000::/36 | 2002:32b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:32b:4000::/36 | 2002:32b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:32b:5000::/36 | 2002:32b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:32b:6000::/36 | 2002:32b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:32b:7000::/36 | 2002:32b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:32b:8000::/36 | 2002:32b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:32b:9000::/36 | 2002:32b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:32b:a000::/36 | 2002:32b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:32b:b000::/36 | 2002:32b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:32b:c000::/36 | 2002:32b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:32b:d000::/36 | 2002:32b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:32b:e000::/36 | 2002:32b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:32b:f000::/36 | 2002:32b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:32c::/36 | 2002:32c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:32c:1000::/36 | 2002:32c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:32c:2000::/36 | 2002:32c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:32c:3000::/36 | 2002:32c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:32c:4000::/36 | 2002:32c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:32c:5000::/36 | 2002:32c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:32c:6000::/36 | 2002:32c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:32c:7000::/36 | 2002:32c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:32c:8000::/36 | 2002:32c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:32c:9000::/36 | 2002:32c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:32c:a000::/36 | 2002:32c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:32c:b000::/36 | 2002:32c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:32c:c000::/36 | 2002:32c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:32c:d000::/36 | 2002:32c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:32c:e000::/36 | 2002:32c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:32c:f000::/36 | 2002:32c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:32d::/36 | 2002:32d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:32d:1000::/36 | 2002:32d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:32d:2000::/36 | 2002:32d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:32d:3000::/36 | 2002:32d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:32d:4000::/36 | 2002:32d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:32d:5000::/36 | 2002:32d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:32d:6000::/36 | 2002:32d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:32d:7000::/36 | 2002:32d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:32d:8000::/36 | 2002:32d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:32d:9000::/36 | 2002:32d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:32d:a000::/36 | 2002:32d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:32d:b000::/36 | 2002:32d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:32d:c000::/36 | 2002:32d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:32d:d000::/36 | 2002:32d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:32d:e000::/36 | 2002:32d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:32d:f000::/36 | 2002:32d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:32e::/36 | 2002:32e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:32e:1000::/36 | 2002:32e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:32e:2000::/36 | 2002:32e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:32e:3000::/36 | 2002:32e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:32e:4000::/36 | 2002:32e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:32e:5000::/36 | 2002:32e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:32e:6000::/36 | 2002:32e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:32e:7000::/36 | 2002:32e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:32e:8000::/36 | 2002:32e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:32e:9000::/36 | 2002:32e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:32e:a000::/36 | 2002:32e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:32e:b000::/36 | 2002:32e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:32e:c000::/36 | 2002:32e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:32e:d000::/36 | 2002:32e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:32e:e000::/36 | 2002:32e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:32e:f000::/36 | 2002:32e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:32f::/36 | 2002:32f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:32f:1000::/36 | 2002:32f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:32f:2000::/36 | 2002:32f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:32f:3000::/36 | 2002:32f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:32f:4000::/36 | 2002:32f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:32f:5000::/36 | 2002:32f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:32f:6000::/36 | 2002:32f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:32f:7000::/36 | 2002:32f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:32f:8000::/36 | 2002:32f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:32f:9000::/36 | 2002:32f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:32f:a000::/36 | 2002:32f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:32f:b000::/36 | 2002:32f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:32f:c000::/36 | 2002:32f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:32f:d000::/36 | 2002:32f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:32f:e000::/36 | 2002:32f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:32f:f000::/36 | 2002:32f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |